package com.xinelu.manage.vo.termbank;

import com.xinelu.manage.domain.termbank.TermBank;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

/**
 * 常用术语(知识库)树图对象 term_bank
 *
 * @author xinelu
 * @date 2024-06-11
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TermBankVO extends TermBank {

    /**
     * 标识
     */
    private String value;

    /**
     * 子集合
     */
    private List<TermBankVO> children = new ArrayList<TermBankVO>();

    public List<TermBankVO> getChildren() {
        return children;
    }

    public void setChildren(List<TermBankVO> children) {
        this.children = children;
    }
}
